Configurer un serveur dns bind sous debian

Fermé
Signaler
Messages postés
7
Date d'inscription
vendredi 10 août 2007
Statut
Membre
Dernière intervention
22 février 2008
-
Messages postés
1
Date d'inscription
vendredi 9 mai 2014
Statut
Membre
Dernière intervention
9 mai 2014
-
Bonjour,
j'ai voulu configurer bind sous debian
lorsque je lance l'install avec "apt-get install bind" je reçoit les lignes suisvantes

"Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
bind9: Est en conflit avec: bind mais 1:8.4.7-1 devra être installé
webmin: Dépend: libio-pty-perl mais ne sera pas installé
Dépend: libmd5-perl mais ne sera pas installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution)."


Veuiller m'expliquer ce que veulent dire ces lignes et pourkoi je les reçois?
Et si vous avez d'autre solutions veuillez me les communique
Merci bcp
voila mon adresse mail feten.besbes@yahoo.fr

4 réponses

Apparament d'après ton message, tu as déjà BIND9 d'installé et tu veux installer BIND

Le mieux est de garder BIND9 à la place de BIND.

Si tu t'es mal exprimé et que c'est l'inverse (BIND installé et tu veux installer BIND9)

il faut commencer par le desinstaller le package BIND.

Soit par apt-get remove nom_du_package
Soit par dpkg -r nom_du_package

ensuite il te faudra faire un apt-get -f install
car apparament tu as des problémes de dépendance, le systéme risque même de te demander de le faire avant de pouvoir effectuer "apt-get remove"

Attention, le apt-get -f install risque de t'installer ou de désinstaller des dépendances que tu as besoin et qui n'ont pas étaient installée avec la commande apt-get (installation par exemple avec dpkg d'un package de version supérieure à celle de ta distribution ainsi que les dépendances qui vont avec.)
Note tout ce qui va se desinstaller.

une fois ta distrib propre avec apt-get -f install

tu relances l'install de BIND9 à l'aide de "apt-get install bind9"

@+
Domi
1
m etonne pas que ca marche pas
0
vraiment pas constructif la remarque mr www...

pour ce qui est du probleme de base, il semblerai que bind9 ne veuille pas s'installer sur une systeme qui contient deja bind (deja present en version plus ancienne par defaut)...

a mon avis deux choix : ou forcer a installer avec le -f, ou enlever le bind deja present, avec apt-get remove bind.

si il insiste sur les dependances, les installer a la main une a une : apt-get install nom_du_packet_cité

bon courage
0
Yeah vraiment merci ! Ca faisait 1h que je bloquais car il ne voulait plus me le réinstaller (apres des autoremove et --purge ...). Là ca m'a recréé tout d'un seul coup :)

Thanks ! =)
0
Messages postés
1
Date d'inscription
vendredi 9 mai 2014
Statut
Membre
Dernière intervention
9 mai 2014

apt-get install :instal le paquet iso déjà monter dans debian
lecture des listes de paquets faits: lectures des différents serveurs qui peuvent être configurer sur debian
0